#
# Copyright (c) 2022 Genexis B.V.
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License 2.0 which is available at
# https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Contributors:
#   Erik Karlsson - initial implementation
#

TARGETS = mosquitto_auth_plugin.so

all: $(TARGETS)

%.pic.o: %.c
	$(CC) $(CFLAGS) -Wall -Werror -fPIC -c -o $@ $<

mosquitto_auth_plugin.so: mosquitto_auth_plugin.pic.o
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(if $(filter -DENABLE_PAM_SUPPORT,$(CFLAGS)),-lpam)

clean:
	rm -f *.o $(TARGETS)
